process.env.NODE_ENV = 'development'

process.on('unhandledRejection', err => {
    throw err
})

const chalk = require('chalk')
const webpack = require('webpack')
const paths = require('../lib/paths')
const config = require('../lib/webpack.config.dev')
const { createCompiler } = require('../lib/WebpackCompiler')
const clearConsole = require('../lib/clearConsole')
const typescript = require('typescript')

const isInteractive = process.stdout.isTTY

const appName = require(paths.appPackageJson).name
const compiler = createCompiler(webpack, config, appName)

if (isInteractive) {
    clearConsole()
}

console.log(chalk.cyan('Starting the development server...'))
console.log(chalk.green('Using TypeScript v' + typescript.version))

// start the webpack watchers
compiler.watch({}, (err, stats) => {})
